hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashutosh Chauhan (Resolved) (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HIVE-2741) Single binary built against 0.20 and 0.23, does not work against 0.23 clusters.
Date Fri, 20 Apr 2012 19:32:37 GMT

     [ https://issues.apache.org/jira/browse/HIVE-2741?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ashutosh Chauhan resolved HIVE-2741.
------------------------------------

    Resolution: Not A Problem
    
> Single binary built against 0.20 and 0.23, does not work against 0.23 clusters.
> -------------------------------------------------------------------------------
>
>                 Key: HIVE-2741
>                 URL: https://issues.apache.org/jira/browse/HIVE-2741
>             Project: Hive
>          Issue Type: Bug
>          Components: Shims
>    Affects Versions: 0.8.1
>            Reporter: Amareshwari Sriramadasu
>             Fix For: 0.9.0
>
>
> After HIVE-2629, if single binary is built for 0.20 and 0.23, it results in following
exception in 0.23 clusters:
> java.lang.IncompatibleClassChangeError: Found interface org.apache.hadoop.mapred.Counters$Counter,
but class was
> expected
>         at org.apache.hadoop.hive.ql.exec.HadoopJobExecHelper.progress(HadoopJobExecHelper.java:341)
>         at org.apache.hadoop.hive.ql.exec.HadoopJobExecHelper.progress(HadoopJobExecHelper.java:685)
>         at org.apache.hadoop.hive.ql.exec.ExecDriver.execute(ExecDriver.java:458)
>         at org.apache.hadoop.hive.ql.exec.MapRedTask.execute(MapRedTask.java:136)
>         at org.apache.hadoop.hive.ql.exec.Task.executeTask(Task.java:133)
>         at org.apache.hadoop.hive.ql.exec.TaskRunner.runSequential(TaskRunner.java:57)
>         at org.apache.hadoop.hive.ql.Driver.launchTask(Driver.java:1332)
>         at org.apache.hadoop.hive.ql.Driver.execute(Driver.java:1123)
>         at org.apache.hadoop.hive.ql.Driver.run(Driver.java:931)
>         at org.apache.hadoop.hive.cli.CliDriver.processLocalCmd(CliDriver.java:255)
>         at org.apache.hadoop.hive.cli.CliDriver.processCmd(CliDriver.java:212)
>         at org.apache.hadoop.hive.cli.CliDriver.processLine(CliDriver.java:403)
>         at org.apache.hadoop.hive.cli.CliDriver.run(CliDriver.java:671)
>         at org.apache.hadoop.hive.cli.CliDriver.main(CliDriver.java:554)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>         at java.lang.reflect.Method.invoke(Method.java:597)
>         at org.apache.hadoop.util.RunJar.main(RunJar.java:200)
> FAILED: Execution Error, return code -101 from org.apache.hadoop.hive.ql.exec.MapRedTask
> If we have to make single binary work against both 0.20 and 0.23, we need to move all
such in-compatibilities to Shims.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message